#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
from PyQt5.QtCore import QTranslator
tr = QTranslator()
"""
from plugin_utils import QtCore
from plugin_utils import trans_enc
tr = QtCore.QTranslator()

#------------------------------------------------
# define ISO 639-2 language codes
#------------------------------------------------
def GetLanguageCodeMap(plugin_dir, sigil_lang):
    plugin_dir = plugin_dir
    sigil_lang = sigil_lang
    tr.load('strings_' + sigil_lang + '.qm', plugin_dir)
    
    LanguageCodeMap = {
        "ab": tr.translate("Language", "Abkhazian"),
        "aa": tr.translate("Language", "Afar"),
        "af": tr.translate("Language", "Afrikaans"),
        "ak": tr.translate("Language", "Akan"),
        "sq": tr.translate("Language", "Albanian"),
        "am": tr.translate("Language", "Amharic"),
        "ar": tr.translate("Language", "Arabic"),
        "ar-DZ": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Algeria"),
        "ar-BH": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Bahrain"),
        "ar-EG": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Egypt"),
        "ar-IQ": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Iraq"),
        "ar-JO": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Jordan"),
        "ar-KW": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Kuwait"),
        "ar-LB": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Lebanon"),
        "ar-LY": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Libya"),
        "ar-MA": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Morocco"),
        "ar-OM": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Oman"),
        "ar-QA": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Qatar"),
        "ar-SY": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Syria"),
        "ar-TN": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Tunisia"),
        "ar-AE": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "United Arab Emirates"),
        "ar-YE": tr.translate("Language", "Arabic") + " - " + tr.translate("Language", "Yemen"),
        "an": tr.translate("Language", "Aragonese"),
        "hy": tr.translate("Language", "Armenian"),
        "as": tr.translate("Language", "Assamese"),
        "av": tr.translate("Language", "Avaric"),
        "ae": tr.translate("Language", "Avestan"),
        "ay": tr.translate("Language", "Aymara"),
        "az": tr.translate("Language", "Azerbaijani"),
        "az-AZ": tr.translate("Language", "Azerbaijani") + " - " + tr.translate("Language", "Azerbaijan"),
        "bm": tr.translate("Language", "Bambara"),
        "ba": tr.translate("Language", "Bashkir"),
        "eu": tr.translate("Language", "Basque"),
        "be": tr.translate("Language", "Belarusian"),
        "bn": tr.translate("Language", "Bengali"),
        "bh": tr.translate("Language", "Bihari"),
        "bi": tr.translate("Language", "Bislama"),
        "bs": tr.translate("Language", "Bosnian"),
        "br": tr.translate("Language", "Breton"),
        "bg": tr.translate("Language", "Bulgarian"),
        "my": tr.translate("Language", "Burmese"),
        "ca": tr.translate("Language", "Catalan"),
        "ca-ES": tr.translate("Language", "Catalan") + " - " + tr.translate("Language", "Spain"),
        "km": tr.translate("Language", "Central Khmer"),
        "ch": tr.translate("Language", "Chamorro"),
        "ce": tr.translate("Language", "Chechen"),
        "zh": tr.translate("Language", "Chinese"),
        "zh-CN": tr.translate("Language", "Chinese") + " - " + tr.translate("Language", "China"),
        "zh-HK": tr.translate("Language", "Chinese") + " - " + tr.translate("Language", "Hong Kong"),
        "zh-MO": tr.translate("Language", "Chinese") + " - " + tr.translate("Language", "Macau"),
        "zh-SG": tr.translate("Language", "Chinese") + " - " + tr.translate("Language", "Singapore"),
        "zh-TW": tr.translate("Language", "Chinese") + " - " + tr.translate("Language", "Taiwan"),
        "cu": tr.translate("Language", "Church Slavic"),
        "cv": tr.translate("Language", "Chuvash"),
        "kw": tr.translate("Language", "Cornish"),
        "co": tr.translate("Language", "Corsican"),
        "cr": tr.translate("Language", "Cree"),
        "hr": tr.translate("Language", "Croatian"),
        "cs": tr.translate("Language", "Czech"),
        "da": tr.translate("Language", "Danish"),
        "da-DK": tr.translate("Language", "Danish") + " - " + tr.translate("Language", "Denmark"),
        "dv": tr.translate("Language", "Dhivehi"),
        "nl": tr.translate("Language", "Dutch"),
        "nl-BE": tr.translate("Language", "Dutch") + " - " + tr.translate("Language", "Belgium"),
        "nl-NL": tr.translate("Language", "Dutch") + " - " + tr.translate("Language", "Netherlands"),
        "dz": tr.translate("Language", "Dzongkha"),
        "en": tr.translate("Language", "English"),
        "en-AU": tr.translate("Language", "English") + " - " + tr.translate("Language", "Australia"),
        "en-BZ": tr.translate("Language", "English") + " - " + tr.translate("Language", "Belize"),
        "en-CA": tr.translate("Language", "English") + " - " + tr.translate("Language", "Canada"),
        "en-CB": tr.translate("Language", "English") + " - " + tr.translate("Language", "Caribbean"),
        "en-GB": tr.translate("Language", "English") + " - " + tr.translate("Language", "Great Britain"),
        "en-IN": tr.translate("Language", "English") + " - " + tr.translate("Language", "India"),
        "en-IE": tr.translate("Language", "English") + " - " + tr.translate("Language", "Ireland"),
        "en-JM": tr.translate("Language", "English") + " - " + tr.translate("Language", "Jamaica"),
        "en-PH": tr.translate("Language", "English") + " - " + tr.translate("Language", "Phillippines"),
        "en-TT": tr.translate("Language", "English") + " - " + tr.translate("Language", "Trinidad"),
        "en-ZA": tr.translate("Language", "English") + " - " + tr.translate("Language", "South Africa"),
        "en-US": tr.translate("Language", "English") + " - " + tr.translate("Language", "United States"),
        "eo": tr.translate("Language", "Esperanto"),
        "et": tr.translate("Language", "Estonian"),
        "ee": tr.translate("Language", "Ewe"),
        "fo": tr.translate("Language", "Faroese"),
        "fj": tr.translate("Language", "Fijian"),
        "fi": tr.translate("Language", "Finnish"),
        "fr": tr.translate("Language", "French"),
        "fr-BE": tr.translate("Language", "French") + " - " + tr.translate("Language", "Belgium"),
        "fr-CA": tr.translate("Language", "French") + " - " + tr.translate("Language", "Canada"),
        "fr-FR": tr.translate("Language", "French") + " - " + tr.translate("Language", "France"),
        "fr-LU": tr.translate("Language", "French") + " - " + tr.translate("Language", "Luxembourg"),
        "fr-CH": tr.translate("Language", "French") + " - " + tr.translate("Language", "Switzerland"),
        "ff": tr.translate("Language", "Fulah"),
        "gd": tr.translate("Language", "Gaelic") + " - " + tr.translate("Language", "Scotland"),
        "gd-IE": tr.translate("Language", "Gaelic") + " - " + tr.translate("Language", "Ireland"),
        "gl": tr.translate("Language", "Galician"),
        "lg": tr.translate("Language", "Ganda"),
        "ka": tr.translate("Language", "Georgian"),
        "de": tr.translate("Language", "German"),
        "de-AT": tr.translate("Language", "German") + " - " + tr.translate("Language", "Austria"),
        "de-DE": tr.translate("Language", "German") + " - " + tr.translate("Language", "Germany"),
        "de-LI": tr.translate("Language", "German") + " - " + tr.translate("Language", "Liechtenstein"),
        "de-LU": tr.translate("Language", "German") + " - " + tr.translate("Language", "Luxembourg"),
        "de-CH": tr.translate("Language", "German") + " - " + tr.translate("Language", "Switzerland"),
        "el": tr.translate("Language", "Greek, Modern"),
        "el-GR": tr.translate("Language", "Greek"),
        "gn": tr.translate("Language", "Guarani"),
        "gu": tr.translate("Language", "Gujarati"),
        "ht": tr.translate("Language", "Haitian"),
        "ha": tr.translate("Language", "Hausa"),
        "he": tr.translate("Language", "Hebrew"),
        "hz": tr.translate("Language", "Herero"),
        "hi": tr.translate("Language", "Hindi"),
        "ho": tr.translate("Language", "Hiri Motu"),
        "hu": tr.translate("Language", "Hungarian"),
        "hu-HU": tr.translate("Language", "Hungarian") + " - " + tr.translate("Language", "Hungary"),
        "is": tr.translate("Language", "Icelandic"),
        "io": tr.translate("Language", "Ido"),
        "ig": tr.translate("Language", "Igbo"),
        "id": tr.translate("Language", "Indonesian"),
        "id-ID": tr.translate("Language", "Indonesian - Indonesia"),
        "ia": tr.translate("Language", "Interlingua"),
        "ie": tr.translate("Language", "Interlingue"),
        "iu": tr.translate("Language", "Inuktitut"),
        "ik": tr.translate("Language", "Inupiaq"),
        "ga": tr.translate("Language", "Irish"),
        "it": tr.translate("Language", "Italian"),
        "it-IT": tr.translate("Language", "Italian") + " - " + tr.translate("Language", "Italy"),
        "it-CH": tr.translate("Language", "Italian") + " - " + tr.translate("Language", "Switzerland"),
        "ja": tr.translate("Language", "Japanese"),
        "jv": tr.translate("Language", "Javanese"),
        "kl": tr.translate("Language", "Kalaallisut"),
        "kn": tr.translate("Language", "Kannada"),
        "kr": tr.translate("Language", "Kanuri"),
        "ks": tr.translate("Language", "Kashmiri"),
        "kk": tr.translate("Language", "Kazakh"),
        "ki": tr.translate("Language", "Kikuyu"),
        "rw": tr.translate("Language", "Kinyarwanda"),
        "ky": tr.translate("Language", "Kirghiz"),
        "kv": tr.translate("Language", "Komi"),
        "kg": tr.translate("Language", "Kongo"),
        "ko": tr.translate("Language", "Korean"),
        "kj": tr.translate("Language", "Kuanyama"),
        "ku": tr.translate("Language", "Kurdish"),
        "lo": tr.translate("Language", "Lao"),
        "la": tr.translate("Language", "Latin"),
        "lv": tr.translate("Language", "Latvian"),
        "lv-LV": tr.translate("Language", "Latvian") + " - " + tr.translate("Language", "Latvia"),
        "li": tr.translate("Language", "Limburgan"),
        "ln": tr.translate("Language", "Lingala"),
        "lt": tr.translate("Language", "Lithuanian"),
        "lu": tr.translate("Language", "Luba-Katanga"),
        "lb": tr.translate("Language", "Luxembourgish"),
        "mk": tr.translate("Language", "Macedonian"),
        "mg": tr.translate("Language", "Malagasy"),
        "ml": tr.translate("Language", "Malayalam"),
        "ms": tr.translate("Language", "Malay"),
        "ms-BN": tr.translate("Language", "Malay") + " - " + tr.translate("Language", "Brunei"),
        "ms-MY": tr.translate("Language", "Malay") + " - " + tr.translate("Language", "Malaysia"),
        "mt": tr.translate("Language", "Maltese"),
        "gv": tr.translate("Language", "Manx"),
        "mi": tr.translate("Language", "Maori"),
        "mr": tr.translate("Language", "Marathi"),
        "mh": tr.translate("Language", "Marshallese"),
        "mn": tr.translate("Language", "Mongolian"),
        "na": tr.translate("Language", "Nauru"),
        "nv": tr.translate("Language", "Navajo"),
        "nd": tr.translate("Language", "Ndebele") + " - " + tr.translate("Language", "North"),
        "nr": tr.translate("Language", "Ndebele") + " - " + tr.translate("Language", "South"),
        "ng": tr.translate("Language", "Ndonga"),
        "ne": tr.translate("Language", "Nepali"),
        "se": tr.translate("Language", "Northern, Sami"),
        "no": tr.translate("Language", "Norwegian"),
        "nb": tr.translate("Language", "Norwegian") + " - " + tr.translate("Language", "Bokmal"),
        "nn": tr.translate("Language", "Norwegian") + " - " + tr.translate("Language", "Nynorsk"),
        "ny": tr.translate("Language", "Nyanja"),
        "oc": tr.translate("Language", "Occitan"),
        "oj": tr.translate("Language", "Ojibwa"),
        "or": tr.translate("Language", "Oriya"),
        "om": tr.translate("Language", "Oromo"),
        "os": tr.translate("Language", "Ossetian"),
        "pi": tr.translate("Language", "Pali"),
        "pa": tr.translate("Language", "Panjabi"),
        "fa": tr.translate("Language", "Persian"),
        "pl": tr.translate("Language", "Polish"),
        "pt": tr.translate("Language", "Portuguese"),
        "pt-BR": tr.translate("Language", "Portuguese") + " - " + tr.translate("Language", "Brazil"),
        "pt-TT": tr.translate("Language", "Portuguese") + " - " + tr.translate("Language", "Portugal"),
        "ps": tr.translate("Language", "Pushto"),
        "qu": tr.translate("Language", "Quechua"),
        "ro": tr.translate("Language", "Romanian"),
        "ro-MO": tr.translate("Language", "Romanian") + " - " + tr.translate("Language", "Moldova"),
        "ro-RO": tr.translate("Language", "Romanian") + " - " + tr.translate("Language", "Romania"),
        "rm": tr.translate("Language", "Romansh"),
        "rn": tr.translate("Language", "Rundi"),
        "ru": tr.translate("Language", "Russian"),
        "ru-MO": tr.translate("Language", "Russian") + " - " + tr.translate("Language", "Moldova"),
        "sm": tr.translate("Language", "Samoan"),
        "sg": tr.translate("Language", "Sango"),
        "sa": tr.translate("Language", "Sanskrit"),
        "sc": tr.translate("Language", "Sardinian"),
        "sr": tr.translate("Language", "Serbian"),
        "sr-RS": tr.translate("Language", "Serbian") + " - " + tr.translate("Language", "Serbia"),
        "sn": tr.translate("Language", "Shona"),
        "ii": tr.translate("Language", "Sichuan Yi"),
        "sd": tr.translate("Language", "Sindhi"),
        "si": tr.translate("Language", "Sinhala"),
        "sk": tr.translate("Language", "Slovak"),
        "sl": tr.translate("Language", "Slovenian"),
        "so": tr.translate("Language", "Somali"),
        "st": tr.translate("Language", "Sotho, Southern"),
        "es": tr.translate("Language", "Spanish"),
        "es-AR": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Argentina"),
        "es-BO": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Bolivia"),
        "es-CL": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Chile"),
        "es-CO": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Columbia"),
        "es-CR": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Costa Rica"),
        "es-DO": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Dominican Republic"),
        "es-EC": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Ecuador"),
        "es-SV": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "El Salvador"),
        "es-GT": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Guatemala"),
        "es-HN": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Honduras"),
        "es-MX": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Mexico"),
        "es-NI": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Nicaragua"),
        "es-PA": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Panama"),
        "es-PY": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Paraguay"),
        "es-PE": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Peru"),
        "es-PR": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Puerto Rico"),
        "es-ES": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Spain"),
        "es-UY": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Uruguay"),
        "es-VE": tr.translate("Language", "Spanish") + " - " + tr.translate("Language", "Venezuela"),
        "su": tr.translate("Language", "Sundanese"),
        "sw": tr.translate("Language", "Swahili"),
        "ss": tr.translate("Language", "Swati"),
        "sv": tr.translate("Language", "Swedish"),
        "sv-FI": tr.translate("Language", "Swedish") + " - " + tr.translate("Language", "Finland"),
        "sv-SE": tr.translate("Language", "Swedish") + " - " + tr.translate("Language", "Sweden"),
        "tl": tr.translate("Language", "Tagalog"),
        "ty": tr.translate("Language", "Tahitian"),
        "tg": tr.translate("Language", "Tajik"),
        "ta": tr.translate("Language", "Tamil"),
        "tt": tr.translate("Language", "Tatar"),
        "te": tr.translate("Language", "Telugu"),
        "th": tr.translate("Language", "Thai"),
        "bo": tr.translate("Language", "Tibetan"),
        "ti": tr.translate("Language", "Tigrinya"),
        "to": tr.translate("Language", "Tonga"),
        "ts": tr.translate("Language", "Tsonga"),
        "tn": tr.translate("Language", "Tswana"),
        "tr": tr.translate("Language", "Turkish"),
        "tr-TR": tr.translate("Language", "Turkish") + " - " + tr.translate("Language", "Turkey"),
        "tk": tr.translate("Language", "Turkmen"),
        "tw": tr.translate("Language", "Twi"),
        "ug": tr.translate("Language", "Uighur"),
        "uk": tr.translate("Language", "Ukrainian"),
        "uk-UA": tr.translate("Language", "Ukrainian") + " - " + tr.translate("Language", "Ukraine"),
        "ur": tr.translate("Language", "Urdu"),
        "uz": tr.translate("Language", "Uzbek"),
        "uz-UX": tr.translate("Language", "Uzbek") + " - " + tr.translate("Language", "Uzbekistan"),
        "ve": tr.translate("Language", "Venda"),
        "vi": tr.translate("Language", "Vietnamese"),
        "vo": tr.translate("Language", "Volapuk"),
        "wa": tr.translate("Language", "Walloon"),
        "cy": tr.translate("Language", "Welsh"),
        "fy": tr.translate("Language", "Western Frisian"),
        "wo": tr.translate("Language", "Wolof"),
        "xh": tr.translate("Language", "Xhosa"),
        "yi": tr.translate("Language", "Yiddish"),
        "yo": tr.translate("Language", "Yoruba"),
        "za": tr.translate("Language", "Zhuang"),
        "zu": tr.translate("Language", "Zulu"),
        "ace": tr.translate("Language", "Achinese"),
        "ach": tr.translate("Language", "Acoli"),
        "ada": tr.translate("Language", "Adangme"),
        "ady": tr.translate("Language", "Adygei, Adyghe"),
        "afh": tr.translate("Language", "Afrihili"),
        "afa": tr.translate("Language", "Afro-Asiatic languages"),
        "ain": tr.translate("Language", "Ainu"),
        "akk": tr.translate("Language", "Akkadian"),
        "ale": tr.translate("Language", "Aleut"),
        "alg": tr.translate("Language", "Algonquian languages"),
        "tut": tr.translate("Language", "Altaic languages"),
        "anp": tr.translate("Language", "Angika"),
        "apa": tr.translate("Language", "Apache languages"),
        "arp": tr.translate("Language", "Arapaho"),
        "arw": tr.translate("Language", "Arawak"),
        "rup": tr.translate("Language", "Aromanian, Arumanian, Macedo-Romanian"),
        "art": tr.translate("Language", "Artificial languages"),
        "ast": tr.translate("Language", "Asturian, Asturleonese, Bable, Leonese"),
        "ath": tr.translate("Language", "Athapascan languages"),
        "aus": tr.translate("Language", "Australian languages"),
        "map": tr.translate("Language", "Austronesian languages"),
        "awa": tr.translate("Language", "Awadhi"),
        "ban": tr.translate("Language", "Balinese"),
        "bat": tr.translate("Language", "Baltic languages"),
        "bal": tr.translate("Language", "Baluchi"),
        "bai": tr.translate("Language", "Bamileke languages"),
        "bad": tr.translate("Language", "Banda languages"),
        "bnt": tr.translate("Language", "Bantu languages"),
        "bas": tr.translate("Language", "Basa"),
        "btk": tr.translate("Language", "Batak languages"),
        "bej": tr.translate("Language", "Bedawiyet, Beja"),
        "bem": tr.translate("Language", "Bemba"),
        "ber": tr.translate("Language", "Berber languages"),
        "bho": tr.translate("Language", "Bhojpuri"),
        "bik": tr.translate("Language", "Bikol"),
        "byn": tr.translate("Language", "Bilin, Blin"),
        "bin": tr.translate("Language", "Bini, Edo"),
        "zbl": tr.translate("Language", "Bliss, Blissymbols, Blissymbolics"),
        "bra": tr.translate("Language", "Braj"),
        "bug": tr.translate("Language", "Buginese"),
        "bua": tr.translate("Language", "Buriat"),
        "cad": tr.translate("Language", "Caddo"),
        "cau": tr.translate("Language", "Caucasian languages"),
        "ceb": tr.translate("Language", "Cebuano"),
        "cel": tr.translate("Language", "Celtic languages"),
        "cai": tr.translate("Language", "Central American Indian languages"),
        "chg": tr.translate("Language", "Chagatai"),
        "cmc": tr.translate("Language", "Chamic languages"),
        "chr": tr.translate("Language", "Cherokee"),
        "chy": tr.translate("Language", "Cheyenne"),
        "chb": tr.translate("Language", "Chibcha"),
        "chn": tr.translate("Language", "Chinook jargon"),
        "chp": tr.translate("Language", "Chipewyan, Dene Suline"),
        "cho": tr.translate("Language", "Choctaw"),
        "chk": tr.translate("Language", "Chuukese"),
        "nwc": tr.translate("Language", "Classical Nepal Bhasa/Newari, Old Newari"),
        "syc": tr.translate("Language", "Classical Syriac"),
        "cop": tr.translate("Language", "Coptic"),
        "mus": tr.translate("Language", "Creek"),
        "crp": tr.translate("Language", "Creoles and pidgins"),
        "cpe": tr.translate("Language", "Creoles and pidgins- English based"),
        "cpf": tr.translate("Language", "Creoles and pidgins- French-based"),
        "cpp": tr.translate("Language", "Creoles and pidgins- Portuguese-based"),
        "crh": tr.translate("Language", "Crimean Tatar/Turkish"),
        "cus": tr.translate("Language", "Cushitic languages"),
        "dak": tr.translate("Language", "Dakota"),
        "dar": tr.translate("Language", "Dargwa"),
        "del": tr.translate("Language", "Delaware"),
        "zza": tr.translate("Language", "Dimili, Dimli, Zaza, Zazaki, Kirdki, Kirmanjki"),
        "din": tr.translate("Language", "Dinka"),
        "doi": tr.translate("Language", "Dogri"),
        "dgr": tr.translate("Language", "Dogrib"),
        "dra": tr.translate("Language", "Dravidian languages"),
        "dua": tr.translate("Language", "Duala"),
        "dum": tr.translate("Language", "Dutch- Middle (ca.1050-1350)"),
        "dyu": tr.translate("Language", "Dyula"),
        "frs": tr.translate("Language", "Eastern Frisian"),
        "efi": tr.translate("Language", "Efik"),
        "egy": tr.translate("Language", "Egyptian (Ancient)"),
        "eka": tr.translate("Language", "Ekajuk"),
        "elx": tr.translate("Language", "Elamite"),
        "enm": tr.translate("Language", "English- Middle (1100-1500)"),
        "ang": tr.translate("Language", "English- Old (ca.450-1100)"),
        "myv": tr.translate("Language", "Erzya"),
        "ewo": tr.translate("Language", "Ewondo"),
        "fan": tr.translate("Language", "Fang"),
        "fat": tr.translate("Language", "Fanti"),
        "fil": tr.translate("Language", "Filipino, Pilipino"),
        "fiu": tr.translate("Language", "Finno-Ugrian languages"),
        "fon": tr.translate("Language", "Fon"),
        "frm": tr.translate("Language", "French- Middle (ca.1400-1600)"),
        "fro": tr.translate("Language", "French- Old (842-ca.1400)"),
        "fur": tr.translate("Language", "Friulian"),
        "gaa": tr.translate("Language", "Ga"),
        "car": tr.translate("Language", "Galibi Carib"),
        "gay": tr.translate("Language", "Gayo"),
        "gba": tr.translate("Language", "Gbaya"),
        "gez": tr.translate("Language", "Geez"),
        "gmh": tr.translate("Language", "German- Middle High (ca.1050-1500)"),
        "goh": tr.translate("Language", "German- Old High (ca.750-1050)"),
        "gem": tr.translate("Language", "Germanic languages"),
        "gil": tr.translate("Language", "Gilbertese"),
        "gon": tr.translate("Language", "Gondi"),
        "gor": tr.translate("Language", "Gorontalo"),
        "got": tr.translate("Language", "Gothic"),
        "grb": tr.translate("Language", "Grebo"),
        "grc": tr.translate("Language", "Greek- Ancient (to 1453)"),
        "gwi": tr.translate("Language", "Gwich'in"),
        "hai": tr.translate("Language", "Haida"),
        "haw": tr.translate("Language", "Hawaiian"),
        "hil": tr.translate("Language", "Hiligaynon"),
        "him": tr.translate("Language", "Himachali, Western Pahari languages"),
        "hit": tr.translate("Language", "Hittite"),
        "hmn": tr.translate("Language", "Hmong, Mong"),
        "hup": tr.translate("Language", "Hupa"),
        "iba": tr.translate("Language", "Iban"),
        "ijo": tr.translate("Language", "Ijo languages"),
        "ilo": tr.translate("Language", "Iloko"),
        "smn": tr.translate("Language", "Inari Sami"),
        "inc": tr.translate("Language", "Indic languages"),
        "ine": tr.translate("Language", "Indo-European languages"),
        "inh": tr.translate("Language", "Ingush"),
        "ira": tr.translate("Language", "Iranian languages"),
        "mga": tr.translate("Language", "Irish- Middle (900-1200)"),
        "sga": tr.translate("Language", "Irish- Old (to 900)"),
        "iro": tr.translate("Language", "Iroquoian languages"),
        "kac": tr.translate("Language", "Jingpho, Kachin"),
        "jrb": tr.translate("Language", "Judeo-Arabic"),
        "jpr": tr.translate("Language", "Judeo-Persian"),
        "kbd": tr.translate("Language", "Kabardian"),
        "kab": tr.translate("Language", "Kabyle"),
        "xal": tr.translate("Language", "Kalmyk, Oirat"),
        "kam": tr.translate("Language", "Kamba"),
        "pam": tr.translate("Language", "Kapampangan, Pampanga"),
        "kaa": tr.translate("Language", "Kara-Kalpak"),
        "krc": tr.translate("Language", "Karachay-Balkar"),
        "krl": tr.translate("Language", "Karelian"),
        "kar": tr.translate("Language", "Karen languages"),
        "csb": tr.translate("Language", "Kashubian"),
        "kaw": tr.translate("Language", "Kawi"),
        "kha": tr.translate("Language", "Khasi"),
        "khi": tr.translate("Language", "Khoisan languages"),
        "kho": tr.translate("Language", "Khotanese, Sakan"),
        "kmb": tr.translate("Language", "Kimbundu"),
        "tlh": tr.translate("Language", "Klingon, tlhIngan-Hol"),
        "kok": tr.translate("Language", "Konkani"),
        "kos": tr.translate("Language", "Kosraean"),
        "kpe": tr.translate("Language", "Kpelle"),
        "kro": tr.translate("Language", "Kru languages"),
        "kum": tr.translate("Language", "Kumyk"),
        "kru": tr.translate("Language", "Kurukh"),
        "kut": tr.translate("Language", "Kutenai"),
        "lad": tr.translate("Language", "Ladino"),
        "lah": tr.translate("Language", "Lahnda"),
        "lam": tr.translate("Language", "Lamba"),
        "day": tr.translate("Language", "Land Dayak languages"),
        "lez": tr.translate("Language", "Lezghian"),
        "jbo": tr.translate("Language", "Lojban"),
        "nds": tr.translate("Language", "German-Low, Low Saxon"),
        "dsb": tr.translate("Language", "Lower Sorbian"),
        "loz": tr.translate("Language", "Lozi"),
        "lua": tr.translate("Language", "Luba-Lulua"),
        "lui": tr.translate("Language", "Luiseno"),
        "smj": tr.translate("Language", "Lule Sami"),
        "lun": tr.translate("Language", "Lunda"),
        "luo": tr.translate("Language", "Luo (Kenya and Tanzania)"),
        "lus": tr.translate("Language", "Lushai"),
        "mad": tr.translate("Language", "Madurese"),
        "mag": tr.translate("Language", "Magahi"),
        "mai": tr.translate("Language", "Maithili"),
        "mak": tr.translate("Language", "Makasar"),
        "mnc": tr.translate("Language", "Manchu"),
        "mdr": tr.translate("Language", "Mandar"),
        "man": tr.translate("Language", "Mandingo"),
        "mni": tr.translate("Language", "Manipuri"),
        "mno": tr.translate("Language", "Manobo languages"),
        "arn": tr.translate("Language", "Mapuche/Mapudungun"),
        "chm": tr.translate("Language", "Mari"),
        "mwr": tr.translate("Language", "Marwari"),
        "mas": tr.translate("Language", "Masai"),
        "myn": tr.translate("Language", "Mayan languages"),
        "men": tr.translate("Language", "Mende"),
        "mic": tr.translate("Language", "Mi'kmaq, Micmac"),
        "min": tr.translate("Language", "Minangkabau"),
        "mwl": tr.translate("Language", "Mirandese"),
        "moh": tr.translate("Language", "Mohawk"),
        "mdf": tr.translate("Language", "Moksha"),
        "mkh": tr.translate("Language", "Mon-Khmer languages"),
        "lol": tr.translate("Language", "Mongo"),
        "mos": tr.translate("Language", "Mossi"),
        "mul": tr.translate("Language", "Multiple languages"),
        "mun": tr.translate("Language", "Munda languages"),
        "nqo": tr.translate("Language", "N'Ko"),
        "nah": tr.translate("Language", "Nahuatl languages"),
        "nap": tr.translate("Language", "Neapolitan"),
        "new": tr.translate("Language", "Nepal Bhasa/Newari"),
        "nia": tr.translate("Language", "Nias"),
        "nic": tr.translate("Language", "Niger-Kordofanian languages"),
        "ssa": tr.translate("Language", "Nilo-Saharan languages"),
        "niu": tr.translate("Language", "Niuean"),
        "zxx": tr.translate("Language", "No linguistic content/Not applicable"),
        "nog": tr.translate("Language", "Nogai"),
        "non": tr.translate("Language", "Norse- Old"),
        "nai": tr.translate("Language", "North American Indian languages"),
        "frr": tr.translate("Language", "Northern Frisian"),
        "nso": tr.translate("Language", "Northern Sotho, Sepedi, Pedi"),
        "nub": tr.translate("Language", "Nubian languages"),
        "nym": tr.translate("Language", "Nyamwezi"),
        "nyn": tr.translate("Language", "Nyankole"),
        "nyo": tr.translate("Language", "Nyoro"),
        "nzi": tr.translate("Language", "Nzima"),
        "pro": tr.translate("Language", "Occitan/Provencal- Old (to 1500)"),
        "arc": tr.translate("Language", "Official/Imperial Aramaic (700-300 BCE)"),
        "osa": tr.translate("Language", "Osage"),
        "oto": tr.translate("Language", "Otomian languages"),
        "pal": tr.translate("Language", "Pahlavi"),
        "pau": tr.translate("Language", "Palauan"),
        "pag": tr.translate("Language", "Pangasinan"),
        "pap": tr.translate("Language", "Papiamento"),
        "paa": tr.translate("Language", "Papuan languages"),
        "peo": tr.translate("Language", "Persian- Old (ca.600-400 B.C.)"),
        "phi": tr.translate("Language", "Philippine languages"),
        "phn": tr.translate("Language", "Phoenician"),
        "pon": tr.translate("Language", "Pohnpeian"),
        "pra": tr.translate("Language", "Prakrit languages"),
        "raj": tr.translate("Language", "Rajasthani"),
        "rap": tr.translate("Language", "Rapanui"),
        "rar": tr.translate("Language", "Rarotongan, Cook Islands Maori"),
        "qaa-qtz": tr.translate("Language", "Reserved for local use"),
        "roa": tr.translate("Language", "Romance languages"),
        "rom": tr.translate("Language", "Romany"),
        "sal": tr.translate("Language", "Salishan languages"),
        "sam": tr.translate("Language", "Samaritan Aramaic"),
        "smi": tr.translate("Language", "Sami languages"),
        "sad": tr.translate("Language", "Sandawe"),
        "sat": tr.translate("Language", "Santali"),
        "sas": tr.translate("Language", "Sasak"),
        "sco": tr.translate("Language", "Scots"),
        "sel": tr.translate("Language", "Selkup"),
        "sem": tr.translate("Language", "Semitic languages"),
        "srr": tr.translate("Language", "Serer"),
        "shn": tr.translate("Language", "Shan"),
        "scn": tr.translate("Language", "Sicilian"),
        "sid": tr.translate("Language", "Sidamo"),
        "sgn": tr.translate("Language", "Sign Languages"),
        "bla": tr.translate("Language", "Siksika"),
        "sit": tr.translate("Language", "Sino-Tibetan languages"),
        "sio": tr.translate("Language", "Siouan languages"),
        "sms": tr.translate("Language", "Skolt Sami"),
        "den": tr.translate("Language", "Slave (Athapascan)"),
        "sla": tr.translate("Language", "Slavic languages"),
        "sog": tr.translate("Language", "Sogdian"),
        "son": tr.translate("Language", "Songhai languages"),
        "snk": tr.translate("Language", "Soninke"),
        "wen": tr.translate("Language", "Sorbian languages"),
        "sai": tr.translate("Language", "South American Indian languages"),
        "alt": tr.translate("Language", "Southern Altai"),
        "sma": tr.translate("Language", "Southern Sami"),
        "srn": tr.translate("Language", "Sranan Tongo"),
        "suk": tr.translate("Language", "Sukuma"),
        "sux": tr.translate("Language", "Sumerian"),
        "sus": tr.translate("Language", "Susu"),
        "gsw": tr.translate("Language", "Alsatian, Swiss German, Alemannic"),
        "syr": tr.translate("Language", "Syriac"),
        "tai": tr.translate("Language", "Tai languages"),
        "tmh": tr.translate("Language", "Tamashek"),
        "ter": tr.translate("Language", "Tereno"),
        "tet": tr.translate("Language", "Tetum"),
        "tig": tr.translate("Language", "Tigre"),
        "tem": tr.translate("Language", "Timne"),
        "tiv": tr.translate("Language", "Tiv"),
        "tli": tr.translate("Language", "Tlingit"),
        "tpi": tr.translate("Language", "Tok Pisin"),
        "tkl": tr.translate("Language", "Tokelau"),
        "tog": tr.translate("Language", "Tonga (Nyasa)"),
        "tsi": tr.translate("Language", "Tsimshian"),
        "tum": tr.translate("Language", "Tumbuka"),
        "tup": tr.translate("Language", "Tupi languages"),
        "ota": tr.translate("Language", "Turkish- Ottoman (1500-1928)"),
        "tvl": tr.translate("Language", "Tuvalu"),
        "tyv": tr.translate("Language", "Tuvinian"),
        "udm": tr.translate("Language", "Udmurt"),
        "uga": tr.translate("Language", "Ugaritic"),
        "umb": tr.translate("Language", "Umbundu"),
        "mis": tr.translate("Language", "Uncoded languages"),
        "und": tr.translate("Language", "Undetermined"),
        "hsb": tr.translate("Language", "Upper Sorbian"),
        "vai": tr.translate("Language", "Vai"),
        "vot": tr.translate("Language", "Votic"),
        "wak": tr.translate("Language", "Wakashan languages"),
        "war": tr.translate("Language", "Waray"),
        "was": tr.translate("Language", "Washo"),
        "wal": tr.translate("Language", "Wolaitta, Wolaytta"),
        "sah": tr.translate("Language", "Yakut"),
        "yao": tr.translate("Language", "Yao"),
        "yap": tr.translate("Language", "Yapese"),
        "ypk": tr.translate("Language", "Yupik languages"),
        "znd": tr.translate("Language", "Zande languages"),
        "zap": tr.translate("Language", "Zapotec"),
        "zen": tr.translate("Language", "Zenaga"),
        "zun": tr.translate("Language", "Zuni"),
    }
    return LanguageCodeMap

#-------------------------------------
# Basic Metadata strings 
#-------------------------------------
def GetBasicMetadataNameDescription(plugin_dir, sigil_lang):
    plugin_dir = plugin_dir
    sigil_lang = sigil_lang
    tr.load('strings_' + sigil_lang + '.qm', plugin_dir)
        
    BasicMetadataNameDescription = {
        tr.translate("MetaEditor", "Subject") : tr.translate("MetaEditor", "An arbitrary phrase or keyword describing the subject in question. Use multiple 'subject' elements if needed."),
        tr.translate("MetaEditor", "Description") : tr.translate("MetaEditor", "Description of the publication's content."),
        tr.translate("MetaEditor", "Publisher") : tr.translate("MetaEditor", "An entity responsible for making the publication available."),
        tr.translate("MetaEditor", "Date") : tr.translate("MetaEditor", "An unspecified date."),
        tr.translate("MetaEditor", "Date: Publication") : tr.translate("MetaEditor", "The date of publication."),
        tr.translate("MetaEditor", "Date: Creation") : tr.translate("MetaEditor", "The date of creation."),
        tr.translate("MetaEditor", "Date: Modification") : tr.translate("MetaEditor", "The date of modification."),
        tr.translate("MetaEditor", "Date: Conversion") : tr.translate("MetaEditor", "The date of conversion."),
        tr.translate("MetaEditor", "Type") : tr.translate("MetaEditor", "The nature or genre of the content of the resource."),
        tr.translate("MetaEditor", "Format") : tr.translate("MetaEditor", "The media type or dimensions of the publication. Best practice is to use a value from a controlled vocabulary (e.g. MIME media types)."),
        tr.translate("MetaEditor", "Source") : tr.translate("MetaEditor", "A reference to a resource from which the present publication is derived."),
        tr.translate("MetaEditor", "Language") : tr.translate("MetaEditor", "An optional extra language of the publication.  Use a value from the Language drop down menu.  For example use 'English' instead of the language code 'en'."),
        tr.translate("MetaEditor", "Relation") : tr.translate("MetaEditor", "A reference to a related resource. The recommended best practice is to identify the referenced resource by means of a string or number conforming to a formal identification system."),
        tr.translate("MetaEditor", "Coverage") : tr.translate("MetaEditor", "The extent or scope of the content of the publication's content."),
        tr.translate("MetaEditor", "Rights") : tr.translate("MetaEditor", "Information about rights held in and over the publication. Rights information often encompasses Intellectual Property Rights (IPR), Copyright, and various Property Rights. If the Rights element is absent, no assumptions may be made about any rights held in or over the publication."),
        tr.translate("MetaEditor", "Title") : tr.translate("MetaEditor", "An optional extra title of the publication in addition to the main title already entered."),
        tr.translate("MetaEditor", "Identifier") + ": DOI"   : tr.translate("MetaEditor", "Digital Object Identifier"),
        tr.translate("MetaEditor", "Identifier") + ": ISBN"  : tr.translate("MetaEditor", "International Standard Book Number"),
        tr.translate("MetaEditor", "Identifier") + ": ISSN"  : tr.translate("MetaEditor", "International Standard Serial Number"),
        tr.translate("MetaEditor", "Identifier") + ": ASIN"  : "Amazon Standard Identification Number",
        tr.translate("MetaEditor", "Identifier (custom)") : tr.translate("MetaEditor", "Enter your own custom identifier name in the File As column, e.g. stocknumber"),
        tr.translate("MetaEditor", "Series") : tr.translate("MetaEditor", "Series title or name (from calibre)"),
        tr.translate("MetaEditor", "Series Index") : tr.translate("MetaEditor", "Index of this book in the series (from calibre)"),
        tr.translate("MetaEditor", "Title for Sorting") : tr.translate("MetaEditor", "Version of ebook title to use for sorting (from calibre)"),
    }
    return BasicMetadataNameDescription

def GetBasicMetadataNameCode(plugin_dir, sigil_lang):
    plugin_dir = plugin_dir
    sigil_lang = sigil_lang
    tr.load('strings_' + sigil_lang + '.qm', plugin_dir)
    
    BasicMetadataNameCode = {
        tr.translate("MetaEditor", "Subject") : "subject",
        tr.translate("MetaEditor", "Description") : "description",
        tr.translate("MetaEditor", "Publisher") : "publisher",
        tr.translate("MetaEditor", "Date: Publication") : "publication",
        tr.translate("MetaEditor", "Date: Creation") : "creation",
        tr.translate("MetaEditor", "Date: Modification") : "modification",
        tr.translate("MetaEditor", "Date: Conversion") : "conversion",
        tr.translate("MetaEditor", "Date") : "date",
        tr.translate("MetaEditor", "Type") : "type",
        tr.translate("MetaEditor", "Format") : "format",
        tr.translate("MetaEditor", "Source") : "source",
        tr.translate("MetaEditor", "Language") : "language",
        tr.translate("MetaEditor", "Relation") : "relation",
        tr.translate("MetaEditor", "Coverage") : "coverage",
        tr.translate("MetaEditor", "Rights") : "rights",
        tr.translate("MetaEditor", "Title") : "title",
        tr.translate("MetaEditor", "Identifier") + ": DOI" : "DOI",
        tr.translate("MetaEditor", "Identifier") + ": ISBN"  : "ISBN",
        tr.translate("MetaEditor", "Identifier") + ": ISSN"  : "ISSN",
        tr.translate("MetaEditor", "Identifier") + ": ASIN"  : "MOBI-ASIN",
        tr.translate("MetaEditor", "Identifier (custom)") : "customidentifier",
        tr.translate("MetaEditor", "Series") : "calibre:series",
        tr.translate("MetaEditor", "Series Index") : "calibre:series_index",
        tr.translate("MetaEditor", "Title for Sorting") : "calibre:title_sort",
    }
    return BasicMetadataNameCode
     
#------------------------
# MarcRelators
#------------------------
def GetMARCRelatorNameDescription(plugin_dir, sigil_lang):
    plugin_dir = plugin_dir
    sigil_lang = sigil_lang
    tr.load('strings_' + sigil_lang + '.qm', plugin_dir)

    MARCRelatorNameDescription = {
        tr.translate("MarcRelators", "Actor") : tr.translate("MarcRelators", "Use for a person or organization who principally exhibits acting skills in a musical or dramatic presentation or entertainment."),
        tr.translate("MarcRelators", "Adapter") : tr.translate("MarcRelators", "Use for a person or organization who 1) reworks a musical composition, usually for a different medium, or 2) rewrites novels or stories for motion pictures or other audiovisual medium."),
        tr.translate("MarcRelators", "Analyst") : tr.translate("MarcRelators", "Use for a person or organization that reviews, examines and interprets data or information in a specific area."),
        tr.translate("MarcRelators", "Animator") : tr.translate("MarcRelators", "Use for a person or organization who draws the two-dimensional figures, manipulates the three dimensional objects and/or also programs the computer to move objects and images for the purpose of animated film processing. Animation cameras, stands, celluloid screens, transparencies and inks are some of the tools of the animator."),
        tr.translate("MarcRelators", "Annotator") : tr.translate("MarcRelators", "Use for a person who writes manuscript annotations on a printed item."),
        tr.translate("MarcRelators", "Applicant") : tr.translate("MarcRelators", "Use for a person or organization responsible for the submission of an application or who is named as eligible for the results of the processing of the application (e.g., bestowing of rights, reward, title, position)."),
        tr.translate("MarcRelators", "Architect") : tr.translate("MarcRelators", "Use for a person or organization who designs structures or oversees their construction."),
        tr.translate("MarcRelators", "Arranger") : tr.translate("MarcRelators", "Use for a person or organization who transcribes a musical composition, usually for a different medium from that of the original; in an arrangement the musical substance remains essentially unchanged."),
        tr.translate("MarcRelators", "Art copyist") : tr.translate("MarcRelators", "Use for a person (e.g., a painter or sculptor) who makes copies of works of visual art."),
        tr.translate("MarcRelators", "Artist") : tr.translate("MarcRelators", "Use for a person (e.g., a painter) or organization who conceives, and perhaps also implements, an original graphic design or work of art, if specific codes (e.g., [egr], [etr]) are not desired. For book illustrators, prefer Illustrator [ill]. "),
        tr.translate("MarcRelators", "Artistic director") : tr.translate("MarcRelators", "Use for a person responsible for controlling the development of the artistic style of an entire production, including the choice of works to be presented and selection of senior production staff."),
        tr.translate("MarcRelators", "Assignee") : tr.translate("MarcRelators", "Use for a person or organization to whom a license for printing or publishing has been transferred."),
        tr.translate("MarcRelators", "Associated name") : tr.translate("MarcRelators", "Use for a person or organization associated with or found in an item or collection, which cannot be determined to be that of a Former owner [fmo] or other designated relator indicative of provenance."),
        tr.translate("MarcRelators", "Attributed name") : tr.translate("MarcRelators", "Use for an author, artist, etc., relating him/her to a work for which there is or once was substantial authority for designating that person as author, creator, etc. of the work. "),
        tr.translate("MarcRelators", "Auctioneer") : tr.translate("MarcRelators", "Use for a person or organization in charge of the estimation and public auctioning of goods, particularly books, artistic works, etc."),
        tr.translate("MarcRelators", "Author") : tr.translate("MarcRelators", "Use for a person or organization chiefly responsible for the intellectual or artistic content of a work, usually printed text. This term may also be used when more than one person or body bears such responsibility. "),
        tr.translate("MarcRelators", "Author in quotations or text extracts") : tr.translate("MarcRelators", "Use for a person or organization whose work is largely quoted or extracted in works to which he or she did not contribute directly. Such quotations are found particularly in exhibition catalogs, collections of photographs, etc."),
        tr.translate("MarcRelators", "Author of afterword, colophon, etc.") : tr.translate("MarcRelators", "Use for a person or organization responsible for an afterword, postface, colophon, etc. but who is not the chief author of a work."),
        tr.translate("MarcRelators", "Author of dialog") : tr.translate("MarcRelators", "Use for a person or organization responsible for the dialog or spoken commentary for a screenplay or sound recording."),
        tr.translate("MarcRelators", "Author of introduction, etc.") : tr.translate("MarcRelators", "Use for a person or organization responsible for an introduction, preface, foreword, or other critical introductory matter, but who is not the chief author."),
        tr.translate("MarcRelators", "Author of screenplay, etc.") : tr.translate("MarcRelators", "Use for a person or organization responsible for a motion picture screenplay, dialog, spoken commentary, etc."),
        tr.translate("MarcRelators", "Bibliographic antecedent") : tr.translate("MarcRelators", "Use for a person or organization responsible for a work upon which the work represented by the catalog record is based. This may be appropriate for adaptations, sequels, continuations, indexes, etc."),
        tr.translate("MarcRelators", "Binder") : tr.translate("MarcRelators", "Use for a person or organization responsible for the binding of printed or manuscript materials."),
        tr.translate("MarcRelators", "Binding designer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the binding design of a book, including the type of binding, the type of materials used, and any decorative aspects of the binding. "),
        tr.translate("MarcRelators", "Book designer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the entire graphic design of a book, including arrangement of type and illustration, choice of materials, and process used. "),
        tr.translate("MarcRelators", "Book producer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the production of books and other print media, if specific codes (e.g., [bkd], [egr], [tyd], [prt]) are not desired. "),
        tr.translate("MarcRelators", "Bookjacket designer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the design of flexible covers designed for or published with a book, including the type of materials used, and any decorative aspects of the bookjacket. "),
        tr.translate("MarcRelators", "Bookplate designer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the design of a book owner's identification label that is most commonly pasted to the inside front cover of a book. "),
        tr.translate("MarcRelators", "Bookseller") : tr.translate("MarcRelators", "Use for a person or organization who makes books and other bibliographic materials available for purchase. Interest in the materials is primarily lucrative."),
        tr.translate("MarcRelators", "Calligrapher") : tr.translate("MarcRelators", "Use for a person or organization who writes in an artistic hand, usually as a copyist and or engrosser."),
        tr.translate("MarcRelators", "Cartographer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the creation of maps and other cartographic materials."),
        tr.translate("MarcRelators", "Censor") : tr.translate("MarcRelators", "Use for a censor, bowdlerizer, expurgator, etc., official or private. "),
        tr.translate("MarcRelators", "Choreographer") : tr.translate("MarcRelators", "Use for a person or organization who composes or arranges dances or other movements (e.g., \"master of swords\") for a musical or dramatic presentation or entertainment."),
        tr.translate("MarcRelators", "Cinematographer") : tr.translate("MarcRelators", "Use for a person or organization who is in charge of the images captured for a motion picture film. The cinematographer works under the supervision of a director, and may also be referred to as director of photography. Do not confuse with videographer."),
        tr.translate("MarcRelators", "Client") : tr.translate("MarcRelators", "Use for a person or organization for whom another person or organization is acting."),
        tr.translate("MarcRelators", "Collector") : tr.translate("MarcRelators", "Use for a person or organization who has brought together material from various sources that has been arranged, described, and cataloged as a collection. A collector is neither the creator of the material nor a person to whom manuscripts in the collection may have been addressed."),
        tr.translate("MarcRelators", "Collotyper") : tr.translate("MarcRelators", "Use for a person or organization responsible for the production of photographic prints from film or other colloid that has ink-receptive and ink-repellent surfaces."),
        tr.translate("MarcRelators", "Commentator") : tr.translate("MarcRelators", "Use for a person or organization who provides interpretation, analysis, or a discussion of the subject matter on a recording, motion picture, or other audiovisual medium."),
        tr.translate("MarcRelators", "Commentator for written text") : tr.translate("MarcRelators", "Use for a person or organization responsible for the commentary or explanatory notes about a text. For the writer of manuscript annotations in a printed book, use Annotator [ann]."),
        tr.translate("MarcRelators", "Compiler") : tr.translate("MarcRelators", "Use for a person or organization who produces a work or publication by selecting and putting together material from the works of various persons or bodies."),
        tr.translate("MarcRelators", "Complainant") : tr.translate("MarcRelators", "Use for the party who applies to the courts for redress, usually in an equity proceeding."),
        tr.translate("MarcRelators", "Complainant-appellant") : tr.translate("MarcRelators", "Use for a complainant who takes an appeal from one court or jurisdiction to another to reverse the judgment, usually in an equity proceeding."),
        tr.translate("MarcRelators", "Complainant-appellee") : tr.translate("MarcRelators", "Use for a complainant against whom an appeal is taken from one court or jurisdiction to another to reverse the judgment, usually in an equity proceeding."),
        tr.translate("MarcRelators", "Composer") : tr.translate("MarcRelators", "Use for a person or organization who creates a musical work, usually a piece of music in manuscript or printed form."),
        tr.translate("MarcRelators", "Compositor") : tr.translate("MarcRelators", "Use for a person or organization responsible for the creation of metal slug, or molds made of other materials, used to produce the text and images in printed matter. "),
        tr.translate("MarcRelators", "Conceptor") : tr.translate("MarcRelators", "Use for a person or organization responsible for the original idea on which a work is based, this includes the scientific author of an audio-visual item and the conceptor of an advertisement."),
        tr.translate("MarcRelators", "Conductor") : tr.translate("MarcRelators", "Use for a person who directs a performing group (orchestra, chorus, opera, etc.) in a musical or dramatic presentation or entertainment."),
        tr.translate("MarcRelators", "Consultant") : tr.translate("MarcRelators", "Use for a person or organization relevant to a resource, who is called upon for professional advice or services in a specialized field of knowledge or training."),
        tr.translate("MarcRelators", "Consultant to a project") : tr.translate("MarcRelators", "Use for a person or organization relevant to a resource, who is engaged specifically to provide an intellectual overview of a strategic or operational task and by analysis, specification, or instruction, to create or propose a cost-effective course of action or solution."),
        tr.translate("MarcRelators", "Contestant") : tr.translate("MarcRelators", "Use for the party who opposes, resists, or disputes, in a court of law, a claim, decision, result, etc."),
        tr.translate("MarcRelators", "Contestant-appellant") : tr.translate("MarcRelators", "Use for a contestant who takes an appeal from one court of law or jurisdiction to another to reverse the judgment."),
        tr.translate("MarcRelators", "Contestant-appellee") : tr.translate("MarcRelators", "Use for a contestant against whom an appeal is taken from one court of law or jurisdiction to another to reverse the judgment."),
        tr.translate("MarcRelators", "Contestee") : tr.translate("MarcRelators", "Use for the party defending a claim, decision, result, etc. being opposed, resisted, or disputed in a court of law."),
        tr.translate("MarcRelators", "Contestee-appellant") : tr.translate("MarcRelators", "Use for a contestee who takes an appeal from one court or jurisdiction to another to reverse the judgment."),
        tr.translate("MarcRelators", "Contestee-appellee") : tr.translate("MarcRelators", "Use for a contestee against whom an appeal is taken from one court or jurisdiction to another to reverse the judgment."),
        tr.translate("MarcRelators", "Contractor") : tr.translate("MarcRelators", "Use for a person or organization relevant to a resource, who enters into a contract with another person or organization to perform a specific task."),
        tr.translate("MarcRelators", "Contributor") : tr.translate("MarcRelators", "Use for a person or organization one whose work has been contributed to a larger work, such as an anthology, serial publication, or other compilation of individual works. Do not use if the sole function in relation to a work is as author, editor, compiler or translator."),
        tr.translate("MarcRelators", "Copyright claimant") : tr.translate("MarcRelators", "Use for a person or organization listed as a copyright owner at the time of registration. Copyright can be granted or later transferred to another person or organization, at which time the claimant becomes the copyright holder."),
        tr.translate("MarcRelators", "Copyright holder") : tr.translate("MarcRelators", "Use for a person or organization to whom copy and legal rights have been granted or transferred for the intellectual content of a work. The copyright holder, although not necessarily the creator of the work, usually has the exclusive right to benefit financially from the sale and use of the work to which the associated copyright protection applies."),
        tr.translate("MarcRelators", "Corrector") : tr.translate("MarcRelators", "Use for a person or organization who is a corrector of manuscripts, such as the scriptorium official who corrected the work of a scribe. For printed matter, use Proofreader."),
        tr.translate("MarcRelators", "Correspondent") : tr.translate("MarcRelators", "Use for a person or organization who was either the writer or recipient of a letter or other communication."),
        tr.translate("MarcRelators", "Costume designer") : tr.translate("MarcRelators", "Use for a person or organization who designs or makes costumes, fixes hair, etc., for a musical or dramatic presentation or entertainment."),
        tr.translate("MarcRelators", "Cover designer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the graphic design of a book cover, album cover, slipcase, box, container, etc. For a person or organization responsible for the graphic design of an entire book, use Book designer; for book jackets, use Bookjacket designer."),
        tr.translate("MarcRelators", "Creator") : tr.translate("MarcRelators", "Use for a person or organization responsible for the intellectual or artistic content of a work."),
        tr.translate("MarcRelators", "Curator of an exhibition") : tr.translate("MarcRelators", "Use for a person or organization responsible for conceiving and organizing an exhibition."),
        tr.translate("MarcRelators", "Dancer") : tr.translate("MarcRelators", "Use for a person or organization who principally exhibits dancing skills in a musical or dramatic presentation or entertainment."),
        tr.translate("MarcRelators", "Data contributor") : tr.translate("MarcRelators", "Use for a person or organization that submits data for inclusion in a database or other collection of data."),
        tr.translate("MarcRelators", "Data manager") : tr.translate("MarcRelators", "Use for a person or organization responsible for managing databases or other data sources."),
        tr.translate("MarcRelators", "Dedicatee") : tr.translate("MarcRelators", "Use for a person or organization to whom a book, manuscript, etc., is dedicated (not the recipient of a gift)."),
        tr.translate("MarcRelators", "Dedicator") : tr.translate("MarcRelators", "Use for the author of a dedication, which may be a formal statement or in epistolary or verse form."),
        tr.translate("MarcRelators", "Defendant") : tr.translate("MarcRelators", "Use for the party defending or denying allegations made in a suit and against whom relief or recovery is sought in the courts, usually in a legal action."),
        tr.translate("MarcRelators", "Defendant-appellant") : tr.translate("MarcRelators", "Use for a defendant who takes an appeal from one court or jurisdiction to another to reverse the judgment, usually in a legal action."),
        tr.translate("MarcRelators", "Defendant-appellee") : tr.translate("MarcRelators", "Use for a defendant against whom an appeal is taken from one court or jurisdiction to another to reverse the judgment, usually in a legal action."),
        tr.translate("MarcRelators", "Degree grantor") : tr.translate("MarcRelators", "Use for the organization granting a degree for which the thesis or dissertation described was presented."),
        tr.translate("MarcRelators", "Delineator") : tr.translate("MarcRelators", "Use for a person or organization executing technical drawings from others' designs."),
        tr.translate("MarcRelators", "Depicted") : tr.translate("MarcRelators", "Use for an entity depicted or portrayed in a work, particularly in a work of art."),
        tr.translate("MarcRelators", "Depositor") : tr.translate("MarcRelators", "Use for a person or organization placing material in the physical custody of a library or repository without transferring the legal title."),
        tr.translate("MarcRelators", "Designer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the design if more specific codes (e.g., [bkd], [tyd]) are not desired."),
        tr.translate("MarcRelators", "Director") : tr.translate("MarcRelators", "Use for a person or organization who is responsible for the general management of a work or who supervises the production of a performance for stage, screen, or sound recording."),
        tr.translate("MarcRelators", "Dissertant") : tr.translate("MarcRelators", "Use for a person who presents a thesis for a university or higher-level educational degree."),
        tr.translate("MarcRelators", "Distributor") : tr.translate("MarcRelators", "Use for a person or organization that has exclusive or shared marketing rights for an item."),
        tr.translate("MarcRelators", "Donor") : tr.translate("MarcRelators", "Use for a person or organization who is the donor of a book, manuscript, etc., to its present owner. Donors to previous owners are designated as Former owner [fmo] or Inscriber [ins]."),
        tr.translate("MarcRelators", "Draftsman") : tr.translate("MarcRelators", "Use for a person or organization who prepares artistic or technical drawings. "),
        tr.translate("MarcRelators", "Dubious author") : tr.translate("MarcRelators", "Use for a person or organization to which authorship has been dubiously or incorrectly ascribed."),
        tr.translate("MarcRelators", "Editor") : tr.translate("MarcRelators", "Use for a person or organization who prepares for publication a work not primarily his/her own, such as by elucidating text, adding introductory or other critical matter, or technically directing an editorial staff."),
        tr.translate("MarcRelators", "Electrician") : tr.translate("MarcRelators", "Use for a person responsible for setting up a lighting rig and focusing the lights for a production, and running the lighting at a performance."),
        tr.translate("MarcRelators", "Electrotyper") : tr.translate("MarcRelators", "Use for a person or organization who creates a duplicate printing surface by pressure molding and electrodepositing of metal that is then backed up with lead for printing."),
        tr.translate("MarcRelators", "Engineer") : tr.translate("MarcRelators", "Use for a person or organization that is responsible for technical planning and design, particularly with construction."),
        tr.translate("MarcRelators", "Engraver") : tr.translate("MarcRelators", "Use for a person or organization who cuts letters, figures, etc. on a surface, such as a wooden or metal plate, for printing."),
        tr.translate("MarcRelators", "Etcher") : tr.translate("MarcRelators", "Use for a person or organization who produces text or images for printing by subjecting metal, glass, or some other surface to acid or the corrosive action of some other substance."),
        tr.translate("MarcRelators", "Expert") : tr.translate("MarcRelators", "Use for a person or organization in charge of the description and appraisal of the value of goods, particularly rare items, works of art, etc. "),
        tr.translate("MarcRelators", "Facsimilist") : tr.translate("MarcRelators", "Use for a person or organization that executed the facsimile."),
        tr.translate("MarcRelators", "Field director") : tr.translate("MarcRelators", "Use for a person or organization that manages or supervises the work done to collect raw data or do research in an actual setting or environment (typically applies to the natural and social sciences)."),
        tr.translate("MarcRelators", "Film editor") : tr.translate("MarcRelators", "Use for a person or organization who is an editor of a motion picture film. This term is used regardless of the medium upon which the motion picture is produced or manufactured (e.g., acetate film, video tape). "),
        tr.translate("MarcRelators", "First party") : tr.translate("MarcRelators", "Use for a person or organization who is identified as the only party or the party of the first part. In the case of transfer of right, this is the assignor, transferor, licensor, grantor, etc. Multiple parties can be named jointly as the first party."),
        tr.translate("MarcRelators", "Forger") : tr.translate("MarcRelators", "Use for a person or organization who makes or imitates something of value or importance, especially with the intent to defraud. "),
        tr.translate("MarcRelators", "Former owner") : tr.translate("MarcRelators", "Use for a person or organization who owned an item at any time in the past. Includes those to whom the material was once presented. A person or organization giving the item to the present owner is designated as Donor [dnr]."),
        tr.translate("MarcRelators", "Funder") : tr.translate("MarcRelators", "Use for a person or organization that furnished financial support for the production of the work."),
        tr.translate("MarcRelators", "Geographic information specialist") : tr.translate("MarcRelators", "Use for a person responsible for geographic information system (GIS) development and integration with global positioning system data."),
        tr.translate("MarcRelators", "Honoree") : tr.translate("MarcRelators", "Use for a person or organization in memory or honor of whom a book, manuscript, etc. is donated. "),
        tr.translate("MarcRelators", "Host") : tr.translate("MarcRelators", "Use for a person who is invited or regularly leads a program (often broadcast) that includes other guests, performers, etc. (e.g., talk show host)."),
        tr.translate("MarcRelators", "Illuminator") : tr.translate("MarcRelators", "Use for a person or organization responsible for the decoration of a work (especially manuscript material) with precious metals or color, usually with elaborate designs and motifs."),
        tr.translate("MarcRelators", "Illustrator") : tr.translate("MarcRelators", "Use for a person or organization who conceives, and perhaps also implements, a design or illustration, usually to accompany a written text."),
        tr.translate("MarcRelators", "Inscriber") : tr.translate("MarcRelators", "Use for a person who signs a presentation statement."),
        tr.translate("MarcRelators", "Instrumentalist") : tr.translate("MarcRelators", "Use for a person or organization who principally plays an instrument in a musical or dramatic presentation or entertainment."),
        tr.translate("MarcRelators", "Interviewee") : tr.translate("MarcRelators", "Use for a person or organization who is interviewed at a consultation or meeting, usually by a reporter, pollster, or some other information gathering agent."),
        tr.translate("MarcRelators", "Interviewer") : tr.translate("MarcRelators", "Use for a person or organization who acts as a reporter, pollster, or other information gathering agent in a consultation or meeting involving one or more individuals."),
        tr.translate("MarcRelators", "Inventor") : tr.translate("MarcRelators", "Use for a person or organization who first produces a particular useful item, or develops a new process for obtaining a known item or result."),
        tr.translate("MarcRelators", "Laboratory") : tr.translate("MarcRelators", "Use for an institution that provides scientific analyses of material samples."),
        tr.translate("MarcRelators", "Laboratory director") : tr.translate("MarcRelators", "Use for a person or organization that manages or supervises work done in a controlled setting or environment. "),
        tr.translate("MarcRelators", "Landscape architect") : tr.translate("MarcRelators", "Use for a person or organization whose work involves coordinating the arrangement of existing and proposed land features and structures."),
        tr.translate("MarcRelators", "Lead") : tr.translate("MarcRelators", "Use to indicate that a person or organization takes primary responsibility for a particular activity or endeavor. Use with another relator term or code to show the greater importance this person or organization has regarding that particular role. If more than one relator is assigned to a heading, use the Lead relator only if it applies to all the relators."),
        tr.translate("MarcRelators", "Lender") : tr.translate("MarcRelators", "Use for a person or organization permitting the temporary use of a book, manuscript, etc., such as for photocopying or microfilming."),
        tr.translate("MarcRelators", "Libelant") : tr.translate("MarcRelators", "Use for the party who files a libel in an ecclesiastical or admiralty case."),
        tr.translate("MarcRelators", "Libelant-appellant") : tr.translate("MarcRelators", "Use for a libelant who takes an appeal from one ecclesiastical court or admiralty to another to reverse the judgment."),
        tr.translate("MarcRelators", "Libelant-appellee") : tr.translate("MarcRelators", "Use for a libelant against whom an appeal is taken from one ecclesiastical court or admiralty to another to reverse the judgment."),
        tr.translate("MarcRelators", "Libelee") : tr.translate("MarcRelators", "Use for a party against whom a libel has been filed in an ecclesiastical court or admiralty."),
        tr.translate("MarcRelators", "Libelee-appellant") : tr.translate("MarcRelators", "Use for a libelee who takes an appeal from one ecclesiastical court or admiralty to another to reverse the judgment."),
        tr.translate("MarcRelators", "Libelee-appellee") : tr.translate("MarcRelators", "Use for a libelee against whom an appeal is taken from one ecclesiastical court or admiralty to another to reverse the judgment."),
        tr.translate("MarcRelators", "Librettist") : tr.translate("MarcRelators", "Use for a person or organization who is a writer of the text of an opera, oratorio, etc."),
        tr.translate("MarcRelators", "Licensee") : tr.translate("MarcRelators", "Use for a person or organization who is an original recipient of the right to print or publish."),
        tr.translate("MarcRelators", "Licensor") : tr.translate("MarcRelators", "Use for person or organization who is a signer of the license, imprimatur, etc. "),
        tr.translate("MarcRelators", "Lighting designer") : tr.translate("MarcRelators", "Use for a person or organization who designs the lighting scheme for a theatrical presentation, entertainment, motion picture, etc."),
        tr.translate("MarcRelators", "Lithographer") : tr.translate("MarcRelators", "Use for a person or organization who prepares the stone or plate for lithographic printing, including a graphic artist creating a design directly on the surface from which printing will be done."),
        tr.translate("MarcRelators", "Lyricist") : tr.translate("MarcRelators", "Use for a person or organization who is the a writer of the text of a song."),
        tr.translate("MarcRelators", "Manufacturer") : tr.translate("MarcRelators", "Use for a person or organization that makes an artifactual work (an object made or modified by one or more persons). Examples of artifactual works include vases, cannons or pieces of furniture."),
        tr.translate("MarcRelators", "Markup editor") : tr.translate("MarcRelators", "Use for a person or organization performing the coding of SGML, HTML, or XML markup of metadata, text, etc."),
        tr.translate("MarcRelators", "Metadata contact") : tr.translate("MarcRelators", "Use for a person or organization primarily responsible for compiling and maintaining the original description of a metadata set (e.g., geospatial metadata set)."),
        tr.translate("MarcRelators", "Metal-engraver") : tr.translate("MarcRelators", "Use for a person or organization responsible for decorations, illustrations, letters, etc. cut on a metal surface for printing or decoration."),
        tr.translate("MarcRelators", "Moderator") : tr.translate("MarcRelators", "Use for a person who leads a program (often broadcast) where topics are discussed, usually with participation of experts in fields related to the discussion."),
        tr.translate("MarcRelators", "Monitor") : tr.translate("MarcRelators", "Use for a person or organization that supervises compliance with the contract and is responsible for the report and controls its distribution. Sometimes referred to as the grantee, or controlling agency."),
        tr.translate("MarcRelators", "Music copyist") : tr.translate("MarcRelators", "Use for a person who transcribes or copies musical notation"),
        tr.translate("MarcRelators", "Musical director") : tr.translate("MarcRelators", "Use for a person responsible for basic music decisions about a production, including coordinating the work of the composer, the sound editor, and sound mixers, selecting musicians, and organizing and/or conducting sound for rehearsals and performances."),
        tr.translate("MarcRelators", "Musician") : tr.translate("MarcRelators", "Use for a person or organization who performs music or contributes to the musical content of a work when it is not possible or desirable to identify the function more precisely."),
        tr.translate("MarcRelators", "Narrator") : tr.translate("MarcRelators", "Use for a person who is a speaker relating the particulars of an act, occurrence, or course of events."),
        tr.translate("MarcRelators", "Opponent") : tr.translate("MarcRelators", "Use for a person or organization responsible for opposing a thesis or dissertation."),
        tr.translate("MarcRelators", "Organizer of meeting") : tr.translate("MarcRelators", "Use for a person or organization responsible for organizing a meeting for which an item is the report or proceedings."),
        tr.translate("MarcRelators", "Originator") : tr.translate("MarcRelators", "Use for a person or organization performing the work, i.e., the name of a person or organization associated with the intellectual content of the work. This category does not include the publisher or personal affiliation, or sponsor except where it is also the corporate author."),
        tr.translate("MarcRelators", "Other") : tr.translate("MarcRelators", "Use for relator codes from other lists which have no equivalent in the MARC list or for terms which have not been assigned a code."),
        tr.translate("MarcRelators", "Owner") : tr.translate("MarcRelators", "Use for a person or organization that currently owns an item or collection."),
        tr.translate("MarcRelators", "Papermaker") : tr.translate("MarcRelators", "Use for a person or organization responsible for the production of paper, usually from wood, cloth, or other fibrous material."),
        tr.translate("MarcRelators", "Patent applicant") : tr.translate("MarcRelators", "Use for a person or organization that applied for a patent."),
        tr.translate("MarcRelators", "Patent holder") : tr.translate("MarcRelators", "Use for a person or organization that was granted the patent referred to by the item. "),
        tr.translate("MarcRelators", "Patron") : tr.translate("MarcRelators", "Use for a person or organization responsible for commissioning a work. Usually a patron uses his or her means or influence to support the work of artists, writers, etc. This includes those who commission and pay for individual works."),
        tr.translate("MarcRelators", "Performer") : tr.translate("MarcRelators", "Use for a person or organization who exhibits musical or acting skills in a musical or dramatic presentation or entertainment, if specific codes for those functions ([act], [dnc], [itr], [voc], etc.) are not used. If specific codes are used, [prf] is used for a person whose principal skill is not known or specified."),
        tr.translate("MarcRelators", "Permitting agency") : tr.translate("MarcRelators", "Use for an authority (usually a government agency) that issues permits under which work is accomplished."),
        tr.translate("MarcRelators", "Photographer") : tr.translate("MarcRelators", "Use for a person or organization responsible for taking photographs, whether they are used in their original form or as reproductions."),
        tr.translate("MarcRelators", "Plaintiff") : tr.translate("MarcRelators", "Use for the party who complains or sues in court in a personal action, usually in a legal proceeding."),
        tr.translate("MarcRelators", "Plaintiff-appellant") : tr.translate("MarcRelators", "Use for a plaintiff who takes an appeal from one court or jurisdiction to another to reverse the judgment, usually in a legal proceeding."),
        tr.translate("MarcRelators", "Plaintiff-appellee") : tr.translate("MarcRelators", "Use for a plaintiff against whom an appeal is taken from one court or jurisdiction to another to reverse the judgment, usually in a legal proceeding."),
        tr.translate("MarcRelators", "Platemaker") : tr.translate("MarcRelators", "Use for a person or organization responsible for the production of plates, usually for the production of printed images and/or text."),
        tr.translate("MarcRelators", "Printer") : tr.translate("MarcRelators", "Use for a person or organization who prints texts, whether from type or plates."),
        tr.translate("MarcRelators", "Printer of plates") : tr.translate("MarcRelators", "Use for a person or organization who prints illustrations from plates. "),
        tr.translate("MarcRelators", "Printmaker") : tr.translate("MarcRelators", "Use for a person or organization who makes a relief, intaglio, or planographic printing surface."),
        tr.translate("MarcRelators", "Process contact") : tr.translate("MarcRelators", "Use for a person or organization primarily responsible for performing or initiating a process, such as is done with the collection of metadata sets."),
        tr.translate("MarcRelators", "Producer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the making of a motion picture, including business aspects, management of the productions, and the commercial success of the work."),
        tr.translate("MarcRelators", "Production manager") : tr.translate("MarcRelators", "Use for a person responsible for all technical and business matters in a production."),
        tr.translate("MarcRelators", "Production personnel") : tr.translate("MarcRelators", "Use for a person or organization associated with the production (props, lighting, special effects, etc.) of a musical or dramatic presentation or entertainment."),
        tr.translate("MarcRelators", "Programmer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the creation and/or maintenance of computer program design documents, source code, and machine-executable digital files and supporting documentation."),
        tr.translate("MarcRelators", "Project director") : tr.translate("MarcRelators", "Use for a person or organization with primary responsibility for all essential aspects of a project, or that manages a very large project that demands senior level responsibility, or that has overall responsibility for managing projects, or provides overall direction to a project manager."),
        tr.translate("MarcRelators", "Proofreader") : tr.translate("MarcRelators", "Use for a person who corrects printed matter. For manuscripts, use Corrector [crr]."),
        tr.translate("MarcRelators", "Publisher") : tr.translate("MarcRelators", "Use for a person or organization that makes printed matter, often text, but also printed music, artwork, etc. available to the public."),
        tr.translate("MarcRelators", "Publishing director") : tr.translate("MarcRelators", "Use for a person or organization who presides over the elaboration of a collective work to ensure its coherence or continuity. This includes editors-in-chief, literary editors, editors of series, etc."),
        tr.translate("MarcRelators", "Puppeteer") : tr.translate("MarcRelators", "Use for a person or organization who manipulates, controls, or directs puppets or marionettes in a musical or dramatic presentation or entertainment."),
        tr.translate("MarcRelators", "Recipient") : tr.translate("MarcRelators", "Use for a person or organization to whom correspondence is addressed."),
        tr.translate("MarcRelators", "Recording engineer") : tr.translate("MarcRelators", "Use for a person or organization who supervises the technical aspects of a sound or video recording session."),
        tr.translate("MarcRelators", "Redactor") : tr.translate("MarcRelators", "Use for a person or organization who writes or develops the framework for an item without being intellectually responsible for its content."),
        tr.translate("MarcRelators", "Renderer") : tr.translate("MarcRelators", "Use for a person or organization who prepares drawings of architectural designs (i.e., renderings) in accurate, representational perspective to show what the project will look like when completed."),
        tr.translate("MarcRelators", "Reporter") : tr.translate("MarcRelators", "Use for a person or organization who writes or presents reports of news or current events on air or in print."),
        tr.translate("MarcRelators", "Repository") : tr.translate("MarcRelators", "Use for an agency that hosts data or material culture objects and provides services to promote long term, consistent and shared use of those data or objects."),
        tr.translate("MarcRelators", "Research team head") : tr.translate("MarcRelators", "Use for a person who directed or managed a research project."),
        tr.translate("MarcRelators", "Research team member") : tr.translate("MarcRelators", "Use for a person who participated in a research project but whose role did not involve direction or management of it."),
        tr.translate("MarcRelators", "Researcher") : tr.translate("MarcRelators", "Use for a person or organization responsible for performing research. "),
        tr.translate("MarcRelators", "Respondent") : tr.translate("MarcRelators", "Use for the party who makes an answer to the courts pursuant to an application for redress, usually in an equity proceeding."),
        tr.translate("MarcRelators", "Respondent-appellant") : tr.translate("MarcRelators", "Use for a respondent who takes an appeal from one court or jurisdiction to another to reverse the judgment, usually in an equity proceeding."),
        tr.translate("MarcRelators", "Respondent-appellee") : tr.translate("MarcRelators", "Use for a respondent against whom an appeal is taken from one court or jurisdiction to another to reverse the judgment, usually in an equity proceeding."),
        tr.translate("MarcRelators", "Responsible party") : tr.translate("MarcRelators", "Use for a person or organization legally responsible for the content of the published material."),
        tr.translate("MarcRelators", "Restager") : tr.translate("MarcRelators", "Use for a person or organization, other than the original choreographer or director, responsible for restaging a choreographic or dramatic work and who contributes minimal new content."),
        tr.translate("MarcRelators", "Reviewer") : tr.translate("MarcRelators", "Use for a person or organization responsible for the review of a book, motion picture, performance, etc."),
        tr.translate("MarcRelators", "Rubricator") : tr.translate("MarcRelators", "Use for a person or organization responsible for parts of a work, often headings or opening parts of a manuscript, that appear in a distinctive color, usually red."),
        tr.translate("MarcRelators", "Scenarist") : tr.translate("MarcRelators", "Use for a person or organization who is the author of a motion picture screenplay."),
        tr.translate("MarcRelators", "Scientific advisor") : tr.translate("MarcRelators", "Use for a person or organization who brings scientific, pedagogical, or historical competence to the conception and realization on a work, particularly in the case of audio-visual items."),
        tr.translate("MarcRelators", "Scribe") : tr.translate("MarcRelators", "Use for a person who is an amanuensis and for a writer of manuscripts proper. For a person who makes pen-facsimiles, use Facsimilist [fac]."),
        tr.translate("MarcRelators", "Sculptor") : tr.translate("MarcRelators", "Use for a person or organization who models or carves figures that are three-dimensional representations."),
        tr.translate("MarcRelators", "Second party") : tr.translate("MarcRelators", "Use for a person or organization who is identified as the party of the second part. In the case of transfer of right, this is the assignee, transferee, licensee, grantee, etc. Multiple parties can be named jointly as the second party."),
        tr.translate("MarcRelators", "Secretary") : tr.translate("MarcRelators", "Use for a person or organization who is a recorder, redactor, or other person responsible for expressing the views of a organization."),
        tr.translate("MarcRelators", "Set designer") : tr.translate("MarcRelators", "Use for a person or organization who translates the rough sketches of the art director into actual architectural structures for a theatrical presentation, entertainment, motion picture, etc. Set designers draw the detailed guides and specifications for building the set."),
        tr.translate("MarcRelators", "Signer") : tr.translate("MarcRelators", "Use for a person whose signature appears without a presentation or other statement indicative of provenance. When there is a presentation statement, use Inscriber [ins]."),
        tr.translate("MarcRelators", "Singer") : tr.translate("MarcRelators", "Use for a person or organization who uses his/her/their voice with or without instrumental accompaniment to produce music. A performance may or may not include actual words."),
        tr.translate("MarcRelators", "Sound designer") : tr.translate("MarcRelators", "Use for a person who produces and reproduces the sound score (both live and recorded), the installation of microphones, the setting of sound levels, and the coordination of sources of sound for a production."),
        tr.translate("MarcRelators", "Speaker") : tr.translate("MarcRelators", "Use for a person who participates in a program (often broadcast) and makes a formalized contribution or presentation generally prepared in advance."),
        tr.translate("MarcRelators", "Sponsor") : tr.translate("MarcRelators", "Use for a person or organization that issued a contract or under the auspices of which a work has been written, printed, published, etc."),
        tr.translate("MarcRelators", "Stage manager") : tr.translate("MarcRelators", "Use for a person who is in charge of everything that occurs on a performance stage, and who acts as chief of all crews and assistant to a director during rehearsals."),
        tr.translate("MarcRelators", "Standards body") : tr.translate("MarcRelators", "Use for an organization responsible for the development or enforcement of a standard."),
        tr.translate("MarcRelators", "Stereotyper") : tr.translate("MarcRelators", "Use for a person or organization who creates a new plate for printing by molding or copying another printing surface."),
        tr.translate("MarcRelators", "Storyteller") : tr.translate("MarcRelators", "Use for a person relaying a story with creative and/or theatrical interpretation."),
        tr.translate("MarcRelators", "Supporting host") : tr.translate("MarcRelators", "Use for a person or organization that supports (by allocating facilities, staff, or other resources) a project, program, meeting, event, data objects, material culture objects, or other entities capable of support. "),
        tr.translate("MarcRelators", "Surveyor") : tr.translate("MarcRelators", "Use for a person or organization who does measurements of tracts of land, etc. to determine location, forms, and boundaries."),
        tr.translate("MarcRelators", "Teacher") : tr.translate("MarcRelators", "Use for a person who, in the context of a resource, gives instruction in an intellectual subject or demonstrates while teaching physical skills. "),
        tr.translate("MarcRelators", "Technical director") : tr.translate("MarcRelators", "Use for a person who is ultimately in charge of scenery, props, lights and sound for a production."),
        tr.translate("MarcRelators", "Thesis advisor") : tr.translate("MarcRelators", trans_enc("Use for a person under whose supervision a degree candidate develops and presents a thesis, mémoire, or text of a dissertation. ")),
        tr.translate("MarcRelators", "Transcriber") : tr.translate("MarcRelators", "Use for a person who prepares a handwritten or typewritten copy from original material, including from dictated or orally recorded material. For makers of pen-facsimiles, use Facsimilist [fac]."),
        tr.translate("MarcRelators", "Translator") : tr.translate("MarcRelators", "Use for a person or organization who renders a text from one language into another, or from an older form of a language into the modern form."),
        tr.translate("MarcRelators", "Type designer") : tr.translate("MarcRelators", "Use for a person or organization who designed the type face used in a particular item. "),
        tr.translate("MarcRelators", "Typographer") : tr.translate("MarcRelators", "Use for a person or organization primarily responsible for choice and arrangement of type used in an item. If the typographer is also responsible for other aspects of the graphic design of a book (e.g., Book designer [bkd]), codes for both functions may be needed."),
        tr.translate("MarcRelators", "Videographer") : tr.translate("MarcRelators", "Use for a person or organization in charge of a video production, e.g. the video recording of a stage production as opposed to a commercial motion picture. The videographer may be the camera operator or may supervise one or more camera operators. Do not confuse with cinematographer."),
        tr.translate("MarcRelators", "Witness") : tr.translate("MarcRelators", "Use for a person who verifies the truthfulness of an event or action. "),
        tr.translate("MarcRelators", "Wood-engraver") : tr.translate("MarcRelators", "Use for a person or organization who makes prints by cutting the image in relief on the end-grain of a wood block."),
        tr.translate("MarcRelators", "Woodcutter") : tr.translate("MarcRelators", "Use for a person or organization who makes prints by cutting the image in relief on the plank side of a wood block."),
        tr.translate("MarcRelators", "Writer of accompanying material") : tr.translate("MarcRelators", "Use for a person or organization who writes significant material which accompanies a sound recording or other audiovisual material."),
    }         
    return MARCRelatorNameDescription
    
def GetMARCRelatorNameCode(plugin_dir, sigil_lang):
    plugin_dir = plugin_dir
    sigil_lang = sigil_lang
    tr.load('strings_' + sigil_lang + '.qm', plugin_dir)    
    
    MARCRelatorNameCode = {
        tr.translate("MarcRelators", "Actor") : "act",
        tr.translate("MarcRelators", "Adapter") : "adp",
        tr.translate("MarcRelators", "Analyst") : "anl",
        tr.translate("MarcRelators", "Animator") : "anm",
        tr.translate("MarcRelators", "Annotator") : "ann",
        tr.translate("MarcRelators", "Applicant") : "app",
        tr.translate("MarcRelators", "Architect") : "arc",
        tr.translate("MarcRelators", "Arranger") : "arr",
        tr.translate("MarcRelators", "Art copyist") : "acp",
        tr.translate("MarcRelators", "Artist") : "art",
        tr.translate("MarcRelators", "Artistic director") : "ard",
        tr.translate("MarcRelators", "Assignee") : "asg",
        tr.translate("MarcRelators", "Associated name") : "asn",
        tr.translate("MarcRelators", "Attributed name") : "att",
        tr.translate("MarcRelators", "Auctioneer") : "auc",
        tr.translate("MarcRelators", "Author") : "aut",
        tr.translate("MarcRelators", "Author in quotations or text extracts") : "aqt",
        tr.translate("MarcRelators", "Author of afterword, colophon, etc.") : "aft",
        tr.translate("MarcRelators", "Author of dialog") : "aud",
        tr.translate("MarcRelators", "Author of introduction, etc.") : "aui",
        tr.translate("MarcRelators", "Author of screenplay, etc.") : "aus",
        tr.translate("MarcRelators", "Bibliographic antecedent") : "ant",
        tr.translate("MarcRelators", "Binder") : "bnd",
        tr.translate("MarcRelators", "Binding designer") : "bdd",
        tr.translate("MarcRelators", "Book designer") : "bkd",
        tr.translate("MarcRelators", "Book producer") : "bkp",
        tr.translate("MarcRelators", "Bookjacket designer") : "bjd",
        tr.translate("MarcRelators", "Bookplate designer") : "bpd",
        tr.translate("MarcRelators", "Bookseller") : "bsl",
        tr.translate("MarcRelators", "Calligrapher") : "cll",
        tr.translate("MarcRelators", "Cartographer") : "ctg",
        tr.translate("MarcRelators", "Censor") : "cns",
        tr.translate("MarcRelators", "Choreographer") : "chr",
        tr.translate("MarcRelators", "Cinematographer") : "cng",
        tr.translate("MarcRelators", "Client") : "cli",
        tr.translate("MarcRelators", "Collector") : "col",
        tr.translate("MarcRelators", "Collotyper") : "clt",
        tr.translate("MarcRelators", "Commentator") : "cmm",
        tr.translate("MarcRelators", "Commentator for written text") : "cwt",
        tr.translate("MarcRelators", "Compiler") : "com",
        tr.translate("MarcRelators", "Complainant") : "cpl",
        tr.translate("MarcRelators", "Complainant-appellant") : "cpt",
        tr.translate("MarcRelators", "Complainant-appellee") : "cpe",
        tr.translate("MarcRelators", "Composer") : "cmp",
        tr.translate("MarcRelators", "Compositor") : "cmt",
        tr.translate("MarcRelators", "Conceptor") : "ccp",
        tr.translate("MarcRelators", "Conductor") : "cnd",
        tr.translate("MarcRelators", "Consultant") : "csl",
        tr.translate("MarcRelators", "Consultant to a project") : "csp",
        tr.translate("MarcRelators", "Contestant") : "cos",
        tr.translate("MarcRelators", "Contestant-appellant") : "cot",
        tr.translate("MarcRelators", "Contestant-appellee") : "coe",
        tr.translate("MarcRelators", "Contestee") : "cts",
        tr.translate("MarcRelators", "Contestee-appellant") : "ctt",
        tr.translate("MarcRelators", "Contestee-appellee") : "cte",
        tr.translate("MarcRelators", "Contractor") : "ctr",
        tr.translate("MarcRelators", "Contributor") : "ctb",
        tr.translate("MarcRelators", "Copyright claimant") : "cpc",
        tr.translate("MarcRelators", "Copyright holder") : "cph",
        tr.translate("MarcRelators", "Corrector") : "crr",
        tr.translate("MarcRelators", "Correspondent") : "crp",
        tr.translate("MarcRelators", "Costume designer") : "cst",
        tr.translate("MarcRelators", "Cover designer") : "cov",
        tr.translate("MarcRelators", "Creator") : "cre",
        tr.translate("MarcRelators", "Curator of an exhibition") : "cur",
        tr.translate("MarcRelators", "Dancer") : "dnc",
        tr.translate("MarcRelators", "Data contributor") : "dtc",
        tr.translate("MarcRelators", "Data manager") : "dtm",
        tr.translate("MarcRelators", "Dedicatee") : "dte",
        tr.translate("MarcRelators", "Dedicator") : "dto",
        tr.translate("MarcRelators", "Defendant") : "dfd",
        tr.translate("MarcRelators", "Defendant-appellant") : "dft",
        tr.translate("MarcRelators", "Defendant-appellee") : "dfe",
        tr.translate("MarcRelators", "Degree grantor") : "dgg",
        tr.translate("MarcRelators", "Delineator") : "dln",
        tr.translate("MarcRelators", "Depicted") : "dpc",
        tr.translate("MarcRelators", "Depositor") : "dpt",
        tr.translate("MarcRelators", "Designer") : "dsr",
        tr.translate("MarcRelators", "Director") : "drt",
        tr.translate("MarcRelators", "Dissertant") : "dis",
        tr.translate("MarcRelators", "Distributor") : "dst",
        tr.translate("MarcRelators", "Donor") : "dnr",
        tr.translate("MarcRelators", "Draftsman") : "drm",
        tr.translate("MarcRelators", "Dubious author") : "dub",
        tr.translate("MarcRelators", "Editor") : "edt",
        tr.translate("MarcRelators", "Electrician") : "elg",
        tr.translate("MarcRelators", "Electrotyper") : "elt",
        tr.translate("MarcRelators", "Engineer") : "eng",
        tr.translate("MarcRelators", "Engraver") : "egr",
        tr.translate("MarcRelators", "Etcher") : "etr",
        tr.translate("MarcRelators", "Expert") : "exp",
        tr.translate("MarcRelators", "Facsimilist") : "fac",
        tr.translate("MarcRelators", "Field director") : "fld",
        tr.translate("MarcRelators", "Film editor") : "flm",
        tr.translate("MarcRelators", "First party") : "fpy",
        tr.translate("MarcRelators", "Forger") : "frg",
        tr.translate("MarcRelators", "Former owner") : "fmo",
        tr.translate("MarcRelators", "Funder") : "fnd",
        tr.translate("MarcRelators", "Geographic information specialist") : "gis",
        tr.translate("MarcRelators", "Honoree") : "hnr",
        tr.translate("MarcRelators", "Host") : "hst",
        tr.translate("MarcRelators", "Illuminator") : "ilu",
        tr.translate("MarcRelators", "Illustrator") : "ill",
        tr.translate("MarcRelators", "Inscriber") : "ins",
        tr.translate("MarcRelators", "Instrumentalist") : "itr",
        tr.translate("MarcRelators", "Interviewee") : "ive",
        tr.translate("MarcRelators", "Interviewer") : "ivr",
        tr.translate("MarcRelators", "Inventor") : "inv",
        tr.translate("MarcRelators", "Laboratory") : "lbr",
        tr.translate("MarcRelators", "Laboratory director") : "ldr",
        tr.translate("MarcRelators", "Landscape architect") : "lsa",
        tr.translate("MarcRelators", "Lead") : "led",
        tr.translate("MarcRelators", "Lender") : "len",
        tr.translate("MarcRelators", "Libelant") : "lil",
        tr.translate("MarcRelators", "Libelant-appellant") : "lit",
        tr.translate("MarcRelators", "Libelant-appellee") : "lie",
        tr.translate("MarcRelators", "Libelee") : "lel",
        tr.translate("MarcRelators", "Libelee-appellant") : "let",
        tr.translate("MarcRelators", "Libelee-appellee") : "lee",
        tr.translate("MarcRelators", "Librettist") : "lbt",
        tr.translate("MarcRelators", "Licensee") : "lse",
        tr.translate("MarcRelators", "Licensor") : "lso",
        tr.translate("MarcRelators", "Lighting designer") : "lgd",
        tr.translate("MarcRelators", "Lithographer") : "ltg",
        tr.translate("MarcRelators", "Lyricist") : "lyr",
        tr.translate("MarcRelators", "Manufacturer") : "mfr",
        tr.translate("MarcRelators", "Markup editor") : "mrk",
        tr.translate("MarcRelators", "Metadata contact") : "mdc",
        tr.translate("MarcRelators", "Metal-engraver") : "mte",
        tr.translate("MarcRelators", "Moderator") : "mod",
        tr.translate("MarcRelators", "Monitor") : "mon",
        tr.translate("MarcRelators", "Music copyist") : "mcp",
        tr.translate("MarcRelators", "Musical director") : "msd",
        tr.translate("MarcRelators", "Musician") : "mus",
        tr.translate("MarcRelators", "Narrator") : "nrt",
        tr.translate("MarcRelators", "Opponent") : "opn",
        tr.translate("MarcRelators", "Organizer of meeting") : "orm",
        tr.translate("MarcRelators", "Originator") : "org",
        tr.translate("MarcRelators", "Other") : "oth",
        tr.translate("MarcRelators", "Owner") : "own",
        tr.translate("MarcRelators", "Papermaker") : "ppm",
        tr.translate("MarcRelators", "Patent applicant") : "pta",
        tr.translate("MarcRelators", "Patent holder") : "pth",
        tr.translate("MarcRelators", "Patron") : "pat",
        tr.translate("MarcRelators", "Performer") : "prf",
        tr.translate("MarcRelators", "Permitting agency") : "pma",
        tr.translate("MarcRelators", "Photographer") : "pht",
        tr.translate("MarcRelators", "Plaintiff") : "ptf",
        tr.translate("MarcRelators", "Plaintiff-appellant") : "ptt",
        tr.translate("MarcRelators", "Plaintiff-appellee") : "pte",
        tr.translate("MarcRelators", "Platemaker") : "plt",
        tr.translate("MarcRelators", "Printer") : "prt",
        tr.translate("MarcRelators", "Printer of plates") : "pop",
        tr.translate("MarcRelators", "Printmaker") : "prm",
        tr.translate("MarcRelators", "Process contact") : "prc",
        tr.translate("MarcRelators", "Producer") : "pro",
        tr.translate("MarcRelators", "Production manager") : "pmn",
        tr.translate("MarcRelators", "Production personnel") : "prd",
        tr.translate("MarcRelators", "Programmer") : "prg",
        tr.translate("MarcRelators", "Project director") : "pdr",
        tr.translate("MarcRelators", "Proofreader") : "pfr",
        tr.translate("MarcRelators", "Publisher") : "pbl",
        tr.translate("MarcRelators", "Publishing director") : "pbd",
        tr.translate("MarcRelators", "Puppeteer") : "ppt",
        tr.translate("MarcRelators", "Recipient") : "rcp",
        tr.translate("MarcRelators", "Recording engineer") : "rce",
        tr.translate("MarcRelators", "Redactor") : "red",
        tr.translate("MarcRelators", "Renderer") : "ren",
        tr.translate("MarcRelators", "Reporter") : "rpt",
        tr.translate("MarcRelators", "Repository") : "rps",
        tr.translate("MarcRelators", "Research team head") : "rth",
        tr.translate("MarcRelators", "Research team member") : "rtm",
        tr.translate("MarcRelators", "Researcher") : "res",
        tr.translate("MarcRelators", "Respondent") : "rsp",
        tr.translate("MarcRelators", "Respondent-appellant") : "rst",
        tr.translate("MarcRelators", "Respondent-appellee") : "rse",
        tr.translate("MarcRelators", "Responsible party") : "rpy",
        tr.translate("MarcRelators", "Restager") : "rsg",
        tr.translate("MarcRelators", "Reviewer") : "rev",
        tr.translate("MarcRelators", "Rubricator") : "rbr",
        tr.translate("MarcRelators", "Scenarist") : "sce",
        tr.translate("MarcRelators", "Scientific advisor") : "sad",
        tr.translate("MarcRelators", "Scribe") : "scr",
        tr.translate("MarcRelators", "Sculptor") : "scl",
        tr.translate("MarcRelators", "Second party") : "spy",
        tr.translate("MarcRelators", "Secretary") : "sec",
        tr.translate("MarcRelators", "Set designer") : "std",
        tr.translate("MarcRelators", "Signer") : "sgn",
        tr.translate("MarcRelators", "Singer") : "sng",
        tr.translate("MarcRelators", "Sound designer") : "sds",
        tr.translate("MarcRelators", "Speaker") : "spk",
        tr.translate("MarcRelators", "Sponsor") : "spn",
        tr.translate("MarcRelators", "Stage manager") : "stm",
        tr.translate("MarcRelators", "Standards body") : "stn",
        tr.translate("MarcRelators", "Stereotyper") : "str",
        tr.translate("MarcRelators", "Storyteller") : "stl",
        tr.translate("MarcRelators", "Supporting host") : "sht",
        tr.translate("MarcRelators", "Surveyor") : "srv",
        tr.translate("MarcRelators", "Teacher") : "tch",
        tr.translate("MarcRelators", "Technical director") : "tcd",
        tr.translate("MarcRelators", "Thesis advisor") : "ths",
        tr.translate("MarcRelators", "Transcriber") : "trc",
        tr.translate("MarcRelators", "Translator") : "trl",
        tr.translate("MarcRelators", "Type designer") : "tyd",
        tr.translate("MarcRelators", "Typographer") : "tyg",
        tr.translate("MarcRelators", "Videographer") : "vdg",
        tr.translate("MarcRelators", "Witness") : "wit",
        tr.translate("MarcRelators", "Wood-engraver") : "wde",
        tr.translate("MarcRelators", "Woodcutter") : "wdc",
        tr.translate("MarcRelators", "Writer of accompanying material") : "wam",
    }                 
    return MARCRelatorNameCode

def GetHeader(plugin_dir, sigil_lang):
    plugin_dir = plugin_dir
    sigil_lang = sigil_lang
    tr.load('dialogs_' + sigil_lang + '.qm', plugin_dir)
    header = []
    header.append(tr.translate("MetaEditor", "Name"))
    header.append(tr.translate("MetaEditor", "Value"))
    header.append(tr.translate("MetaEditor", "File As"))
    header.append(tr.translate("MetaEditor", "Role Type"))
    return header
    
def GetDataModifiedMessage(plugin_dir, sigil_lang):
    DataModifiedMessage = "The metadata may have been modified.\n                                                      Do you want to save your changes?"
    plugin_dir = plugin_dir
    sigil_lang = sigil_lang
    tr.load('dialogs_' + sigil_lang + '.qm', plugin_dir)
    DataModifiedMessage = tr.translate("MetaEditor", "The metadata may have been modified.\nDo you want to save your changes?")
    return DataModifiedMessage

